// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'dart:io';

import 'package:mason/mason.dart';

Future<void> run(HookContext context) async {
  final workingDirectory = '${Directory.current.path}';
  final enablel10n = context.vars['enable_l10n'] as bool;
  if (enablel10n) {
    final processIntl = await Process.start(
      'make',
      ['intl'],
      workingDirectory: workingDirectory,
    );
    await processIntl.stdout.pipe(stdout);
  }
}